com.sun.jna.platform.win32

## Interface DdemlUtil.RequestHandler

Enclosing class:
  DdemlUtil

    public static interface DdemlUtil.RequestHandler

### Method Summary

All Methods Instance Methods Abstract Methods
`Ddeml.HDDEDATA` `onRequest(int transactionType, int dataFormat, Ddeml.HCONV hconv, Ddeml.HSZ topic, Ddeml.HSZ item)` A client uses the XTYP_REQUEST transaction to request data from a server.

### Method Detail

#### onRequest

    Ddeml.HDDEDATA onRequest(int transactionType,
                             int dataFormat,
                             Ddeml.HCONV hconv,
                             Ddeml.HSZ topic,
                             Ddeml.HSZ item)

A client uses the XTYP_REQUEST transaction to request data from a server. A Dynamic Data Exchange (DDE) server callback function, DdeCallback, receives this transaction when a client specifies XTYP_REQUEST in the DdeClientTransaction function.

Parameters:
  `transactionType` - uType - The transaction type.
  `dataFormat` - uFmt - The format in which the data should be submitted to the client.
  `hconv` - A handle to the conversation.
  `topic` - hsz1 - A handle to the topic name.
  `item` - hsz2 - A handle to the item name.
Returns:
  Data for the changed item or NULL if transaction can't be completed. If the server returns NULL, the client will receive a DDE_FNOTPROCESSED flag.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.